## org.eclipse.emf.ecore.resource.impl
Class PlatformContentHandlerImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ContentHandlerImpl
          org.eclipse.emf.ecore.resource.impl.PlatformContentHandlerImpl

All Implemented Interfaces:
  ContentHandler

    public class PlatformContentHandlerImpl

extends ContentHandlerImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ContentHandlerImpl
`ContentHandlerImpl.Describer`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.ContentHandler
`ContentHandler.ByteOrderMark, ContentHandler.Registry, ContentHandler.Validity`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.resource.ContentHandler
`BYTE_ORDER_MARK_PROPERTY, CHARSET_PROPERTY, CONTENT_TYPE_PROPERTY, INVALID_CONTENT_DESCRIPTION, OPTION_REQUESTED_PROPERTIES, UNSPECIFIED_CONTENT_TYPE, VALIDITY_PROPERTY`

Constructor Summary
`PlatformContentHandlerImpl()`

Method Summary
`java.util.Map<java.lang.String,java.lang.Object>` `contentDescription(URI uri, java.io.InputStream inputStream, java.util.Map<?,?> options, java.util.Map<java.lang.Object,java.lang.Object> context)` This implementation delegates to the platform's content description support,
`protected java.lang.Object` `getDescriptionValue(QualifiedName qualifiedName, java.lang.Object value)` Returns the given property's Eclipse value converted to EMF's corresponding basic value.
`protected QualifiedName` `getQualifiedName(java.lang.String property)` Returns the property name converted to a qualified name.

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ContentHandlerImpl
`canHandle, createContentDescription, getByteOrderMark, getRequestedProperties, isRequestedProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformContentHandlerImpl

    public PlatformContentHandlerImpl()

Method Detail

### getQualifiedName

    protected QualifiedName getQualifiedName(java.lang.String property)

  Returns the property name converted to a qualified name.

  Parameters:
    `property` - the property to convert.
  Returns:
    the property name converted to a qualified name.

### getDescriptionValue

    protected java.lang.Object getDescriptionValue(QualifiedName qualifiedName,
                                                   java.lang.Object value)

  Returns the given property's Eclipse value converted to EMF's corresponding basic value.

  Parameters:
    `qualifiedName` - the name of the property for which this value applies.
    `value` - the value to convert.
  Returns:
    the given property's Eclipse value converted to EMF's corresponding basic value.

### contentDescription

    public java.util.Map<java.lang.String,java.lang.Object> contentDescription(URI uri,
                                                                               java.io.InputStream inputStream,
                                                                               java.util.Map<?,?> options,
                                                                               java.util.Map<java.lang.Object,java.lang.Object> context)
                                                                        throws java.io.IOException

  This implementation delegates to the platform's content description support,

  Specified by:
    `contentDescription` in interface `ContentHandler`
  Overrides:
    `contentDescription` in class `ContentHandlerImpl`
  Parameters:
    `uri` - the URI for which to determine the content description.
    `inputStream` - the input stream associated with the given URI.
    `options` - a map of options to direct what kind of description is needed.
    `context` - a map of contextual information that content handlers use to store partially computed results.
  Returns:
    a map of properties that describe the content of the given URI's corresponding input stream.
  Throws:
    `java.io.IOException` - if there is a problem reading the stream.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.